Skip to content

Get data policy details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get data policy details, get the corresponding data policy information through the data policy ID, including data policy ID, data policy name, data policy description, all data permission lists under the data policy, etc.

Method name

ManagementClient.getDataPolicy

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
policyIdstringYes-Data policy ID60b49xxxxxxxxxxxxxxx6e68

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getDataPolicy({
    policyId: "60b49xxxxxxxxxxxxxxx6e68",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: GetDataPolicyResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetDataPolicyRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "policyId": "60b49xxxxxxxxxxxxxxx6e68",
    "policyName": "Sample data policy name",
    "description": "Sample data policy description",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z"
  }
}

Data structure

GetDataPolicyRespDto

NameTypeIs it required?DescriptionSample value
policyIdstringYesData policy ID60b49xxxxxxxxxxxxxxx6e68
policyNamestringYesData policy name, unique to the user poolSample data policy name
descriptionstringNoData policy descriptionSample data policy description
createdAtstringYesData policy creation time2022-07-03T03:20:30.000Z
updatedAtstringyesData policy update time2022-07-03T03:20:30.000Z

Agent infrastructure for identity, memory, and web action.